import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
public class Sax extends DefaultHandler {
  private boolean isIsbn = false;
  private boolean isTitlu = false;
  private String isbn = "";
  public Sax(String isbn) throws Exception {
    this.isbn = isbn;
    SAXParserFactory spf = SAXParserFactory.newInstance();
    SAXParser parser = spf.newSAXParser();
    parser.parse(new File("biblioteca.xml"), this);
  }
  public void startElement(String uri, String localName,
          String qName, Attributes attributes) throws SAXException {
    if (qName.equals("carte") && attributes.getValue("isbn").equals(isbn)) isIsbn = true;
    if (isIsbn && qName.equals("titlu")) isTitlu = true;
  }
  public void characters(char[] text, int start, int length) throws SAXException {
    if (isTitlu) {
      System.out.println(new String(text, start, length));
      isTitlu = false;
      isIsbn = false;
    }
  }
  public static void main(String[] args) throws Exception {
    new Sax("973-97535-5-8");
  }
}
