import javax.xml.parsers.*;
import org.w3c.dom.*;
public class Dom {
  public Dom(String isbn) throws Exception {
    int i, j;
    DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
    DocumentBuilder db = dbf.newDocumentBuilder();
    Document biblioteca = db.parse("biblioteca.xml");
    NodeList carti = biblioteca.getElementsByTagName("carte");
    for (i = 0; i < carti.getLength(); i++) {
      Node carte = carti.item(i);
      NamedNodeMap attrs = carte.getAttributes();
      Node attr = attrs.getNamedItem("isbn");
      if (!attr.getNodeValue().equals(isbn)) continue;
      NodeList inCarte = carte.getChildNodes();
      for (j = 0; j < inCarte.getLength(); j++) {
        Node titlu = inCarte.item(j);
        if (!titlu.getNodeName().equals("titlu")) continue;
        System.out.println(titlu.getTextContent());
      }
    }
  }
  public static void main(String a[]) throws Exception {
    new Dom("973-97535-5-8");
  }
}
